{% extends 'base.html.twig' %}

{% block title %}Register
{% endblock %}

{% block body %}
    <main class="container-fluid">
        <div class="m-auto mt-5 p-3 bg-light border border-primary rounded shadow-sm" style="width: 700px">
            <div class="text-center">
                <a href="{{path('main_index')}}"><img class="" src="{{asset('build/images/brand/bootstrap-logo.svg')}}" alt="" width="72" height="57"></a>
            </div>
            <h1 class="text-center">Register</h1>

            {{ form_errors(registrationForm) }}

            {{ form_start(registrationForm) }}
            <fieldset class="bg-light-subtle my-2 p-2 rounded border">
                <legend>Identity</legend>
                {{ form_row(registrationForm.lastname) }}
                {{ form_row(registrationForm.firstname) }}
            </fieldset>
            <fieldset class="bg-light-subtle my-2 p-2 rounded border">
                <legend>Addres</legend>
                {{ form_row(registrationForm.zipcode) }}
                {{ form_row(registrationForm.city) }}
                {{ form_row(registrationForm.address) }}
            </fieldset>
            <fieldset class="bg-light-subtle my-2 p-2 rounded border">
                <legend>Login</legend>
                {{ form_row(registrationForm.email) }}
                {{ form_row(registrationForm.plainPassword, {label: 'Password'}) }}
            </fieldset>
            {{ form_row(registrationForm.agreeTerms) }}

            <button type="submit" class="btn">Register</button>
            {{ form_end(registrationForm) }}
        </div>
    </main>
{% endblock %}
